mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

The enumeration specifies which file system actions are allowed for a particular user account and which file system actions are audited for a particular user account.

Use the enumeration when creating an access rule with the class or when creating an audit rule with the class.

This enumeration contains several granular system rights values and several values that are a combination of those granular values. It is easier to use the combination values such as , , and , rather than specifying each component value separately.

Defines the access rights to use when creating access and audit rules.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to append data to the end of a file.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to change the security and audit rules associated with a file or folder.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  This right requires the value. Note that if you do not explicitly set the value when creating a file or folder, the value will be set automatically for you.

  Specifies the right to create a folder.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  This right requires the value. Note that if you do not explicitly set the value when creating a file or folder, the value will be set automatically for you.

  Specifies the right to create a file.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to delete a folder or file.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to delete a folder and any files contained within that folder.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to run an application file.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to exert full control over a folder or file, and to modify access control and audit rules. This value represents the right to do anything with a file and is the combination of all rights in this enumeration.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to read the contents of a directory.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to read, write, list folder contents, delete folders and files, and run application files. This right includes the right, the right, and the right.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to open and copy folders or files as read-only. This right includes the right, right, right, and right.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to open and copy folders or files as read-only, and to run application files. This right includes the right and the right.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to open and copy file system attributes from a folder or file. For example, this value specifies the right to view the file creation or modified date. This does not include the right to read data, extended file system attributes, or access and audit rules.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to open and copy a file or folder. This does not include the right to read file system attributes, extended file system attributes, or access and audit rules.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to open and copy extended file system attributes from a folder or file. For example, this value specifies the right to view author and content information. This does not include the right to read data, file system attributes, or access and audit rules.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to open and copy access and audit rules from a folder or file. This does not include the right to read data, file system attributes, and extended file system attributes.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  The value is automatically set when allowing access, and automatically excluded when denying access.

  The right to create a file or folder requires this value. Note that if you do not explicitly set this value when creating a file, the value will be set automatically for you.

  Specifies whether the application can wait for a file handle to synchronize with the completion of an I/O operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to change the owner of a folder or file. Note that owners of a resource have full access to that resource.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to list the contents of a folder and to run applications contained within that folder.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to create folders and files, and to add or remove data from files. This right includes the right, right, right, and right.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to open and write file system attributes to a folder or file. This does not include the ability to write data, extended attributes, or access and audit rules.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to open and write to a file or folder. This does not include the right to open and write file system attributes, extended file system attributes, or access and audit rules.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.FileSystemRights

  Specifies the right to open and write extended file system attributes to a folder or file. This does not include the ability to write data, attributes, or access and audit rules.